DaDaBIK
This forum is devoted to the discussion about the software DaDaBIK database front-end
the PHP Database application generator for MySQL, PostgreSQL and SQLite; also available for Wordpress.

Welcome! Log In Create A New Profile

Advanced

Non sicuro

Posted by marcick 
Non sicuro
October 13, 2018 12:11AM
PHP Version: 5.3.8
mysql version: 5.5.16-log
Web server: Apache/2.2.21 (Win64) PHP/5.3.8
Client: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/69.0.3497.100 Safari/537.36

Buongiorno a tutti,
stavo copiando "about/check upgrade" per postare una domanda e mi sono accorto di un po' di errori/warning per cui chiedo chiedo supporto su cosa devo fare (tenuto conto che le mie conoscenze in materia sono piuttosto "basic").

La domanda sarebbe: quando mi collego da browser al mio server dove ho installato dadabik, compare sulla barra dell'indirizzo la dicitura "non sicuro". Non ho ben presente quali rischi sto realmente correndo quando uso questo metodo per consultare il mio database sul server, comunque mi piacerebbe non vedere quella scritta .... cosa devo fare ?

Ora incollo gli errori che vedo in "about/check upgrade" che forse sono attinenti


( ! ) Warning: file_get_contents(http://www.dadabik.org/last_release.php) [function.file-get-contents]: failed to open stream: Unable to find the socket transport "ssl" - did you forget to enable it when you configured PHP? in C:\Wamp\www\dadabik\admin.php on line 84
Call Stack
# Time Memory Function Location
1 0.0006 696400 {main}( ) ..\admin.php:0
2 0.0265 3520576 file_get_contents ( ) ..\admin.php:84

( ! ) Notice: Undefined offset: 1 in C:\Wamp\www\dadabik\admin.php on line 87
Call Stack
# Time Memory Function Location
1 0.0006 696400 {main}( ) ..\admin.php:0
About/Check upgrade

DaDaBIK™ is a product ideated and developed by Eugenio Tacchini
Copyright ©2001-2014 Eugenio Tacchini
www.dadabik.org



You are using DaDaBIK version 6.2 BASIC, installed on 06-25-2018, the last version of DaDaBIK is released on
( ! ) Notice: Undefined offset: 2 in C:\Wamp\www\dadabik\include\general_functions.php on line 95
Call Stack
# Time Memory Function Location
1 0.0006 696400 {main}( ) ..\admin.php:0
2 0.8133 3536200 require( 'C:\Wamp\www\dadabik\include\forms\about.php' ) ..\admin.php:90
3 0.8135 3536248 format_date( ) ..\about.php:23

( ! ) Notice: Undefined offset: 1 in C:\Wamp\www\dadabik\include\general_functions.php on line 104
Call Stack
# Time Memory Function Location
1 0.0006 696400 {main}( ) ..\admin.php:0
2 0.8133 3536200 require( 'C:\Wamp\www\dadabik\include\forms\about.php' ) ..\admin.php:90
3 0.8135 3536248 format_date( ) ..\about.php:23
--

You are not running the last release of DaDaBIK, the release you are running might have bugs and security holes, see the official change log for further information. You can upgrade DaDaBIK here.

PHP Version: 5.3.8

mysql version: 5.5.16-log

Web server: Apache/2.2.21 (Win64) PHP/5.3.8

Client: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/69.0.3497.100 Safari/537.36
Re: Non sicuro
October 13, 2018 04:09AM
Da quello che descrivi il "non sicuro" sembra relativo al fatto che non stai usando https su quel sito, immagino ti compaia su qualsiasi sito non https e non solo con dadabik. I dati che vengono trasportati tra client (tuo browser) e server (dove hai installato dadabik) vengono trasportati "in chiaro", senza essere criptati.

Riguardo all'errore generato da about/chceck_upgrade, è relativo al fatto che probabilmente non hai installato php_openssl; il sito di DaDaBIK da tempo è passato ad https quindi la pagina about/check_upgrade ha bisogno di php_openssl per comunicare con il sito stesso.
Questo non è così importante, semplicemente non riesci ad utilizzare la pagina about/chceck_upgrade.

Infine, se in effetti stai ancora utilizzando la versione 6.x ti consiglio di aggiornare perché in questi 4 anni sono stati risolti molti bug, alcuni anche riguardanti la sicurezza.

Saluti,

________________________________________________________
Eugenio |\.-./| DaDaBIK developer and project admin
Re: Non sicuro
October 13, 2018 04:31AM
Grazie Eugenio,
hai ragione, farò l'aggiornamento. Si riesce a farlo come update mantenendo le impostazioni o è da installare tutto ex-novo ?
Riguardo il "non sicuro" cosa dovrei fare per comunicare in https invece che http ?
Il mio database sta su un server cloud Window Server 2008 R2.
Re: Non sicuro
October 13, 2018 05:02AM
Se hai almeno DaDaBIK 5 (quindi nel tuo caso sì), puoi aggiornare mantenendo le impostazioni seguendo queste istruzioni
https://dadabik.com/index.php?function=show_documentation#upgrade

Per https devi sentire il tuo fornitore di hosting, in sostanza devi acquistare un certificato (esistono anche certificati gratuiti).

Saluti,

________________________________________________________
Eugenio |\.-./| DaDaBIK developer and project admin
Re: Non sicuro
October 13, 2018 06:08AM
Lo sapevo che non mi dovevo inguaiare .....
Ho acquistato l'ultimo dadabik, sovrascritto tutti i files, editato il config.php inserendo i parametri come dal vecchio, lanciato l'upgrade ma si blocca chiedendomi l'installazione di IonCube.
Ci sto provando da mezzora senza successo, ho scaricato credo il pacchetto giusto ma non riesco a installarlo
Re: Non sicuro
October 13, 2018 06:19AM
Ciao,
DaDaBIK 9.x richiede ioncube e in generale i requirements sono questi:
https://dadabik.com/index.php?function=show_documentation#requirements

mettiamo un link ai requirements e invitiamo a leggerli prima di acquistare (nella pagina purchase) proprio per evitare sorprese.

Non so se stai lavorando in locale o su di un server fornito da un provider: nel secondo caso molto probabilmente ti troverai ioncube già installato oppure il supporto ti dirà come abilitarlo. Se stai lavorando in locale o comunque su di un tuo server segui le istruzioni che trovi sul sito di ioncube, in particolare per windows hanno anche un installer.

Saluti,

________________________________________________________
Eugenio |\.-./| DaDaBIK developer and project admin
Re: Non sicuro
October 13, 2018 06:56AM
Sto lavorando in locale su un server.
Le istruzioni le ho trovate ma è un continuo susseguirsi di problemi.
Ora addirittura il test per verificare il loader di iocube mi dice

"You have a Windows loader but your server does not appear to be running Windows"

Voglio scappare ...
Ho rimesso tutto come prima con il vecchio dadabik 6.2
Re: Non sicuro
October 16, 2018 05:21AM
Rieccomi Eugenio,
dopo avere interpellato IonCube e il supporto Aruba, sono in una situazione di stallo perchè l'installazione di questo plug-in (non so se è il modo corretto di chiamarlo) si rivela alquanto problematica.
A questo punto mi ritrovo ad avere acquistato l'ultimo aggiornamento Dadabik 9.1 senza poterlo sfruttare e ti chiedo:
io avevo la versione 6.2. E' possibile avere comunque una versione comunque più aggiornata che non richieda IonCube e che funzioni con php 5.3 ? Non avrei l'ultima versione ma quantomeno beneficierei di migliorie e bug fix.
Grazie
Re: Non sicuro
October 16, 2018 06:09AM
Ciao,
scrivi a support@dadabik.org così cerchiamo di capire meglio la situazione, io so di almeno due utenti che usano DaDaBIK su aruba.

Saluti,

________________________________________________________
Eugenio |\.-./| DaDaBIK developer and project admin
Re: Non sicuro
October 16, 2018 06:44AM
Fatto, grazie
Sorry, only registered users may post in this forum.

Click here to login